Bug 243688 - Review Request: qwt-doc The documentation for Qwt
Review Request: qwt-doc The documentation for Qwt
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On: 240180
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 09:11 EDT by Frank Büttner
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-30 15:28:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Mamoru TASAKA 2007-09-29 10:57:44 EDT
For 5.0.2-1:

* License/Source URL
  - Please change like qwt review
  - For Source0:
-------------------------------------------
Source0         http://ovh.dl........
-------------------------------------------
    This must be "Source0:"

* Install at %build section
-------------------------------------------
%build
cd src
qmake-qt4
sed -i "s\install_doc: first FORCE\install_doc: FORCE\1" Makefile 
make install_doc
-------------------------------------------
  - The last line does not seem to be needed.

* Timestamp
  - As this package almost simply installs document files
    from tarball, keeping timestamp on those files is preferable.
    * For make install_doc, passing "COPY="cp -a", i.e.
-------------------------------------------
make -f src/Makefile install_doc COPY="cp -a"
-------------------------------------------
      keeps timestamp on most files
    * And for "cp" or "install" command, please add "-p" option
-------------------------------------------
cp -p %{SOURCE1} $RPM_BUILD_ROOT/%{_docdir}/qwt-%{version}/
-------------------------------------------

* Directory ownership
  - %_defaultdocdir/qwt-%{version} is not owned by this package
    * If you want to use this directory, this package needs
      "Requires: qwt = %{version}".
    * Or move all document files under %_defaultdocdir/qwt-doc-%{version}
      and have the directory owned by this package.

* Macro in %changelog
  - %_dist tag is expanded differently when repository changes
    (for example, when we upgrade from fc8->fc9), then %changelog
    changes. %_dist macro should not be used in %changelog.
Comment 3 Mamoru TASAKA 2007-09-30 03:05:02 EDT
Well,

* Files under '%_docdir', '%_mandir' are automatically marked as documents,
  so explicit %doc is not needed.

* Some files are not encoded with UTF-8
-----------------------------------------------------------
qwt-doc.noarch: W: file-not-utf8 /usr/share/doc/qwt-5.0.2/html/class_qwt_picker.html
qwt-doc.noarch: W: file-not-utf8 /usr/share/man/man3/QwtPicker.3.gz
qwt-doc.noarch: W: file-not-utf8 /usr/share/doc/qwt-5.0.2/html/index.html
qwt-doc.noarch: W: file-not-utf8
/usr/share/doc/qwt-5.0.2/html/qwt__symbol_8cpp-source.html
-----------------------------------------------------------
  - At least man file should be encoded with UTF-8
  - Also it is preferable that HTML files are encoded with UTF-8 (IMO)
Comment 4 Frank Büttner 2007-09-30 03:22:26 EDT
Hm very interesting, because I will get only one rpmlint warning about the
/usr/share/man/man3/QwtPicker.3.gz file.
Comment 5 Mamoru TASAKA 2007-09-30 03:41:27 EDT
(In reply to comment #4)
> Hm very interesting, because I will get only one rpmlint warning about the
> /usr/share/man/man3/QwtPicker.3.gz file.

Well, you are not only a person who said that his/her rpmlint does
not warn what my rpmlint complained...
ex:
https://bugzilla.redhat.com/show_bug.cgi?id=283931#c6

However, actally /usr/share/doc/qwt-5.0.2/html/index.html is encoded
with iso-8859-1.
Comment 6 Frank Büttner 2007-09-30 08:38:21 EDT
I think the code of rpmlint is some buggy at this time. We will hope it will be
better some times.
The next one:
SRPM:
http://downloads.sourceforge.net/qsmartcard/qwt-doc-5.0.2-4.fc8.src.rpm?use_mirror=osdn
SPEC: http://downloads.sourceforge.net/qsmartcard/qwt-doc.spec?use_mirror=osdn
Comment 7 Mamoru TASAKA 2007-09-30 09:27:49 EDT
For HTML file encoding:

* Well, iconv is okay, however for HTML files another fix is needed.
  For example, /usr/share/doc/qwt-5.0.2/html/index.html says:
----------------------------------------------------------------
     1  <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
     2  <html><head><meta http-equiv="Content-Type"
content="text/html;charset=iso-8859-1">
----------------------------------------------------------------
   This "iso-8859-1" string also needs fixing.
Comment 8 Frank Büttner 2007-09-30 10:12:56 EDT
fixed, by adding:
mv doc/html/qwt__symbol_8cpp-source.html.tmp doc/html/qwt__symbol_8cpp-source.html
#replace encoding string at the html files
find doc/html/ -name "*.html" | xargs sed -i "s/iso-8859-1/utf-8/g"
Comment 9 Mamoru TASAKA 2007-09-30 11:27:27 EDT
Okay.

-----------------------------------------------------
   This package (qwt-doc) is APPROVED by me
-----------------------------------------------------
Comment 10 Frank Büttner 2007-09-30 11:40:52 EDT
New Package CVS Request
=======================
Package Name: qwt-doc
Short Description: Documentation of qwt
Owners: frankb
Branches: FC-6 F7 EL-5
Cvsextras Commits: No
Comment 11 Kevin Fenzi 2007-09-30 14:44:50 EDT
cvs done.
Comment 12 Frank Büttner 2007-09-30 15:28:47 EDT
build done.

Note You need to log in before you can comment on or make changes to this bug.